package com.company.example.service.sample;

import java.util.List;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import org.jdesigner.platform.data.Page;

import com.company.example.db.sample.SampleDAO;
import com.company.example.exception.ApplicationException;
import com.company.example.service.BaseService;

/**
 * SampleService
 * 
 * @author leesangboo
 * 
 */
public class SampleService extends BaseService {

	private static final long serialVersionUID = 1L;

	private static final Log log = LogFactory.getLog(SampleService.class);

	private SampleDAO sample_dao;

	public SampleService() {
		init(); //
	}

	private void init() {
		//
		log.info("Service[" + this.getClass() + "] initialize...");
		//
		sample_dao = new SampleDAO();
	}

	public Page selectPage(Map<String, Object> params, int start, int range, String sort, boolean desc) throws ApplicationException {
		return sample_dao.selectPage(params, start, range, sort, desc);
	}

	public List<Map<String, Object>> selectList(Map<String, Object> params) throws ApplicationException {
		return sample_dao.selectList(params);
	}

	public Map<String, Object> selectMap(Map<String, Object> params) throws ApplicationException {
		return sample_dao.selectMap(params);
	}

	public void insert(Map<String, Object> params) throws ApplicationException {
		sample_dao.insert(params);
	}

	public void update(Map<String, Object> params) throws ApplicationException {
		sample_dao.update(params);
	}

	public void delete(Map<String, Object> params) throws ApplicationException {
		sample_dao.delete(params);
	}

}
