package com.company.example.web;

import org.apache.struts.action.ActionMessage;

import org.jdesigner.platform.web.ActionBean;

import org.jdesigner.application.template.domain.UserLogin;
import org.jdesigner.application.template.service.CommonServiceFactory;
import org.jdesigner.application.template.service.SecurityService;

/**
 * <B> Base Action Bean </B>
 * 
 * @author leesangboo
 * 
 */
abstract public class BaseActionBean extends ActionBean {

	private static final long serialVersionUID = -3275441886854089865L;

	/**
	 * 사용자 로그인 도매인을 반환한다.
	 * 
	 * @return
	 */
	public UserLogin getUserLogin() {
		final SecurityService securityService = CommonServiceFactory.getSecurityService();
		return securityService.getUserLogin();
	}

	/**
	 * 서버 메세지를 설정한다.
	 * 
	 * @param key
	 */
	public void setServerMessage(String key) {
		getActionMessages().add(GLOBAL_MESSAGE, new ActionMessage(key));
	}

	/**
	 * 서버 에러를 설정한다.
	 * 
	 * @param key
	 */
	public void setServerError(String key) {
		getActionErrors().add(GLOBAL_ERROR, new ActionMessage(key));
	}

}
