package com.company.example.web.home;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import org.jdesigner.platform.util.DateUtils;
import org.jdesigner.platform.web.form.Form;

import org.jdesigner.application.template.service.AnalysisService;
import org.jdesigner.application.template.service.CommonServiceFactory;

import com.company.example.service.home.HomeService;
import com.company.example.web.BaseActionBean;

/**
 * <B>Home Pane(Portlet) Action Bean</B>
 * 
 * @author leesangboo
 * 
 */
public class HomePortletBean extends BaseActionBean {

	private static final long serialVersionUID = 1L;

	private static final Log log = LogFactory.getLog(HomePortletBean.class);

	private HomeService home_service;
	private AnalysisService analysis_service;

	private Form search;
	private Form form;

	public HomePortletBean() {
		init(); //
	}

	public void init() {

		log.info("ActionBean[" + this.getClass() + "] initialize...");

		home_service = new HomeService();
		analysis_service = CommonServiceFactory.getAnalysisService();

		form = new Form();
	}

	public String test() throws Exception {
		return SUCCESS;
	}

	public String introduce() throws Exception {
		return SUCCESS;
	}

	public String makeYourPortlet() throws Exception {
		return SUCCESS;
	}

	public String chartFileUpload() throws Exception {
		//
		Map params = new HashMap();
		params.put("username", super.getUserLogin().getUsername());
		Map chart_data_1 = analysis_service.selectFileUploadSizeMap(params);
		//
		super.getRequest().setAttribute("chart_data_1", chart_data_1);
		//
		return SUCCESS;
	}

	public String chartLoginCount() throws Exception {
		//
		Map params = new HashMap();
		String to_date = DateUtils.dateToISO(new java.util.Date());
		params.put("username", super.getUserLogin().getUsername());
		params.put("base_date", to_date);
		params.put("minus_day", new Long(10)); // 이전 10일
		List chart_data_1 = analysis_service.selectLoginCountList(params);
		//
		super.getRequest().setAttribute("chart_data_1", chart_data_1);
		//
		return SUCCESS;
	}

	public Form getForm() {
		return form;
	}

	public void setForm(Form form) {
		this.form = form;
	}

	public Form getSearch() {
		return search;
	}

	public void setSearch(Form search) {
		this.search = search;
	}

	public AnalysisService getAnalysisService() {
		return analysis_service;
	}

	public void setAnalysisService(AnalysisService analysisService) {
		this.analysis_service = analysisService;
	}

	public HomeService getHomeService() {
		return home_service;
	}

	public void setHomeService(HomeService homeService) {
		this.home_service = homeService;
	}

}
