package com.company.example.web.introduction;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import org.jdesigner.platform.web.annotation.Action;
import org.jdesigner.platform.web.annotation.Forward;
import org.jdesigner.platform.web.annotation.Web;
import org.jdesigner.platform.web.form.Form;
import org.jdesigner.platform.web.grid.Grid;
import org.jdesigner.platform.web.json.JSONResult;
import org.jdesigner.platform.web.table.Table;

import com.company.example.web.BaseActionBean;

@Web(namespace = "introduction_bean")
public class IntroductionBean extends BaseActionBean {

	private static final long serialVersionUID = 1L;

	private static final Log log = LogFactory.getLog(IntroductionBean.class);

	private Form form;
	private Form search;
	private Grid grid;
	private Table table;
	private JSONResult json;

	public IntroductionBean() {
		init();//
	}

	private void init() {
		//
		log.info("ActionBean[" + this.getClass() + "] initialize...");
		//
		search = new Form();
		form = new Form();
		table = new Table();
		grid = new Grid();
		json = new JSONResult();
	}

	@Action(path = "/introduction/overview", scope = "request", validate = false)
	@Forward(name = "success", layout = ".main.layout", content = "/introduction/overview.jsp")
	public String overview() throws Exception {
		return SUCCESS;
	}

	@Action(path = "/introduction/techstack", scope = "request", validate = false)
	@Forward(name = "success", layout = ".main.layout", content = "/introduction/techstack.jsp")
	public String techstack() throws Exception {
		return SUCCESS;
	}

	@Action(path = "/introduction/features", scope = "request", validate = false)
	@Forward(name = "success", layout = ".main.layout", content = "/introduction/features.jsp")
	public String features() throws Exception {
		return SUCCESS;
	}

	@Action(path = "/introduction/requirements", scope = "request", validate = false)
	@Forward(name = "success", layout = ".main.layout", content = "/introduction/requirements.jsp")
	public String requirements() throws Exception {
		return SUCCESS;
	}

	public Form getForm() {
		return form;
	}

	public void setForm(Form form) {
		this.form = form;
	}

	public Form getSearch() {
		return search;
	}

	public void setSearch(Form search) {
		this.search = search;
	}

	public Grid getGrid() {
		return grid;
	}

	public void setGrid(Grid grid) {
		this.grid = grid;
	}

	public Table getTable() {
		return table;
	}

	public void setTable(Table table) {
		this.table = table;
	}

	public JSONResult getJson() {
		return json;
	}

	public void setJson(JSONResult json) {
		this.json = json;
	}

}
