/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.jdesigner.application.template.service;

import java.io.File;
import java.util.List;

/**
 * <B>엑셀 서비스</B>
 * 
 * @author leesangboo
 * 
 */
public interface ExcelService {

	/**
	 * 엑셀파일을 읽어서 리스트로 반환한다.
	 * 
	 * @param valueKeyArray
	 *            - 값 행의 맵 키 배열
	 * @param inputPath
	 *            - 엑셀 파일 경로
	 * @return
	 * @throws CommonServiceException
	 */
	public List readExcel(String[] valueKeyArray, String inputPath) throws CommonServiceException;

	/**
	 * 엑셀 파일을 생성한다.
	 * 
	 * @param headerLabelArray
	 *            - 헤더명 배열
	 * @param valueKeyArray
	 *            - 값 행의 맵 키 배열
	 * @param mapList
	 *            - 맵이 1행으로 만들어진 리스트
	 * @param outputPath
	 *            - 출력 파일 경로
	 * @return File - 저장된 파일
	 * @throws CommonServiceException
	 */
	public File writeExcel(String[] headerLabelArray, String[] valueKeyArray, List mapList, String outputPath) throws CommonServiceException;

}
