/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.application.template.web;

import org.apache.struts.action.ActionMessage;

import org.jdesigner.platform.web.ActionBean;

/**
 * <B>Project Base Action Bean</B>
 * 
 * @author leesangboo
 * 
 */
abstract public class TemplateBaseActionBean extends ActionBean {

	private static final long serialVersionUID = -3275441886854089865L;

	/**
	 * 서버 메세지를 설정한다.
	 * 
	 * @param key
	 */
	public void setServerMessage(String key) {
		getActionMessages().add(GLOBAL_MESSAGE, new ActionMessage(key));
	}

	/**
	 * 서버 에러를 설정한다.
	 * 
	 * @param key
	 */
	public void setServerError(String key) {
		getActionErrors().add(GLOBAL_ERROR, new ActionMessage(key));
	}

}
