/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.application.template.web.env;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionMessage;

import org.jdesigner.platform.web.form.Form;
import org.jdesigner.platform.web.grid.Grid;

import org.jdesigner.application.template.service.CommonCodeService;
import org.jdesigner.application.template.service.CommonServiceFactory;
import org.jdesigner.application.template.web.TemplateBaseActionBean;

/**
 * 환경설정 액션 빈
 * 
 * @author leesangboo
 * 
 */
public class EnvBean extends TemplateBaseActionBean {

	private static final long serialVersionUID = 1L;

	private static final Log log = LogFactory.getLog(EnvBean.class);

	private CommonCodeService commonCodeService;

	private Form search;
	private Form search_setup;
	private Form form;
	private Grid grid;

	public EnvBean() {
		init(); //
	}

	public void init() {
		log.info("ActionBean[" + this.getClass() + "] initialize...");
		commonCodeService = CommonServiceFactory.getCommonCodeService();

		form = new Form();
		search = new Form();
		search_setup = new Form();
		grid = new Grid(0, 15);
	}

	public String env() throws Exception {

		return SUCCESS;
	}

	public String changeLocale() throws Exception {
		return SUCCESS;
	}

	public String grid() throws Exception {
		grid = new Grid(commonCodeService.selectCodeGroupPage(search, grid.getStart(), grid.getRange(), grid.getSort(), grid.isDesc()));
		return Grid.FORWARD;
	}

	public String add() throws Exception {
		return SUCCESS;
	}

	public String edit() throws Exception {
		form = new Form(commonCodeService.selectCodeGroup(form));
		return (SUCCESS);
	}

	public String insert() throws Exception {
		commonCodeService.insertCodeGroup(form);
		getActionMessages().add(GLOBAL_MESSAGE, new ActionMessage("common.insert.success"));
		init();
		return SUCCESS;
	}

	public String update() throws Exception {
		commonCodeService.updateCodeGroup(form);
		getActionMessages().add(GLOBAL_MESSAGE, new ActionMessage("common.update.success"));
		init();
		return SUCCESS;
	}

	public String update_condition() throws Exception {

		getActionMessages().add(GLOBAL_MESSAGE, new ActionMessage("common.update.success"));

		return SUCCESS;
	}

	public String delete() throws Exception {
		commonCodeService.deleteCodeGroup(form);
		getActionMessages().add(GLOBAL_MESSAGE, new ActionMessage("common.delete.success"));
		init();
		return SUCCESS;
	}

	public CommonCodeService getCommonCodeService() {
		return commonCodeService;
	}

	public void setCommonCodeService(CommonCodeService commonCodeService) {
		this.commonCodeService = commonCodeService;
	}

	public Form getForm() {
		return form;
	}

	public void setForm(Form form) {
		this.form = form;
	}

	public Form getSearch_setup() {
		return search_setup;
	}

	public void setSearch_setup(Form searchSetup) {
		search_setup = searchSetup;
	}

	public Form getSearch() {
		return search;
	}

	public void setSearch(Form search) {
		this.search = search;
	}

	public Grid getGrid() {
		return grid;
	}

	public void setGrid(Grid grid) {
		this.grid = grid;
	}

}
