package org.jdesigner.application.template.web.util;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import org.jdesigner.platform.web.json.JSONResult;

import org.jdesigner.application.template.service.CommonServiceFactory;
import org.jdesigner.application.template.service.SecurityService;
import org.jdesigner.application.template.web.TemplateBaseActionBean;

/**
 * 세션 타이머 액션 빈
 * 
 * @author leesangboo
 * 
 */
public class SessionTimerBean extends TemplateBaseActionBean {

	private static final long serialVersionUID = 1L;

	private static final Log log = LogFactory.getLog(SessionTimerBean.class);

	private static final String SESSION_EXPIRED_KEY = "_session_expired";

	private SecurityService security_service;
	private JSONResult json;

	public SessionTimerBean() {
		init(); //
	}

	public void init() {
		log.info("ActionBean[" + this.getClass() + "] initialize...");
		security_service = CommonServiceFactory.getSecurityService();
		json = new JSONResult();
	}

	public void reset() {
		//	
	}

	public String refresh() throws Exception {
		json.put(SESSION_EXPIRED_KEY, new Boolean((security_service.isUserAuthenticated()) ? false : true));
		return JSON;
	}

	public JSONResult getJson() {
		return json;
	}

	public void setJson(JSONResult json) {
		this.json = json;
	}

	public SecurityService getSecurity_service() {
		return security_service;
	}

	public void setSecurity_service(SecurityService security_service) {
		this.security_service = security_service;
	}

}