/*
 * JDesigner (R) Web Application Development Platform 
 * Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 * http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.jdesigner.platform.cache;

import java.util.Map;

/**
 * Cache
 * 
 * @author leesangboo
 * 
 */
public interface Cache {

	public static final int LRU = 1;

	public static final int FIFO = 2;

	public static final int MEMORY = 3;

	public void put(String key, Object value) throws CacheException;

	public Object get(String key) throws CacheException;

	public void remove(String key) throws CacheException;

	public boolean hasValue(String key) throws CacheException;

	public void flush() throws CacheException;

	public Map toMap() throws CacheException;

}
