/*
 * JDesigner (R) Web Application Development Platform 
 * Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 * http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.jdesigner.platform.context;

/**
 * 
 * <B>ApplicationConfig Utils</B>
 * 
 * @author leesangboo
 * 
 */
public class ApplicationConfigUtils {

	/**
	 * ApplicationConfig
	 */
	private static ApplicationConfig applicationConfig = ApplicationContextFactory.getInstance().getApplicationContext().getApplicationConfig();

	/**
	 * 어플리케이션 설정 키에 해당하는 프로퍼티를 반환한다.
	 * 
	 * @param key
	 * @return
	 */
	public static String getProperty(String key) {
		return applicationConfig.getProperty(key);
	}

	/**
	 * 어플리케이션 설정 키에 해당하는 프로퍼티를 반환한다.
	 * 
	 * @param key
	 * @return
	 */
	public static int getInt(String key) {
		return applicationConfig.getInt(key);
	}

	/**
	 * 어플리케이션 설정 키에 해당하는 프로퍼티를 반환한다.
	 * 
	 * @param key
	 * @return
	 */
	public static long getLong(String key) {
		return applicationConfig.getLong(key);
	}

	/**
	 * 어플리케이션 설정 키에 해당하는 프로퍼티를 반환한다.
	 * 
	 * @param key
	 * @return
	 */
	public static boolean getBoolean(String key) {
		return applicationConfig.getBoolean(key);
	}

}
