/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.platform.db.provider;

import org.apache.commons.dbutils.ResultSetHandler;

import org.jdesigner.platform.db.lob.LOBHandler;
import org.jdesigner.platform.db.paging.PagingSQLHandler;
import org.jdesigner.platform.db.parameter.ParameterBinder;
import org.jdesigner.platform.db.result.ColumnTypeResultObjectHandler;
import org.jdesigner.platform.db.sequence.SequenceHandler;
import org.jdesigner.platform.db.table.rdbms.TableTypeMaker;
import org.jdesigner.platform.exception.DatabaseException;

/**
 * RDBMSProvider
 * 
 * @author leesangboo
 * 
 */
public interface RDBMSProvider {

	public LOBHandler getLOBHandler() throws DatabaseException;

	public SequenceHandler getSequenceHandler() throws DatabaseException;

	public ParameterBinder getParameterBinder() throws DatabaseException;

	public ColumnTypeResultObjectHandler getColumnTypeResultObjectHandler() throws DatabaseException;

	public TableTypeMaker getTableTypeMaker() throws DatabaseException;

	public PagingSQLHandler getPagingSQLHandler() throws DatabaseException;

	public ResultSetHandler getMapListResultHandler() throws DatabaseException;

	public ResultSetHandler getMapResultHandler() throws DatabaseException;

	public ResultSetHandler getObjectResultHandler() throws DatabaseException;

}
