/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.platform.db.result;

import java.util.Properties;

import org.jdesigner.platform.util.PropertiesUtils;

public class PropertiesFactory {

	private static final String PROPERTIES_PATH = "org/architecture/common/db/handler/column-rsmethod-mapping.properties";

	private static class PropertiesFactoryHolder {
		static PropertiesFactory instance = new PropertiesFactory();
	}

	public static PropertiesFactory getInstance() {
		return PropertiesFactoryHolder.instance;
	}

	private Properties properties;

	public Properties getProperties() {
		if (properties == null) {
			PropertiesUtils propertiesUtils = null;
			propertiesUtils = new PropertiesUtils(PROPERTIES_PATH);
			properties = propertiesUtils.getProperties();
			return properties;
		} else {
			return properties;
		}
	}

}
