/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.platform.db.session;

/**
 * SessionContext
 * 
 * @author leesangboo
 * 
 */
public class SessionContext {

	public static ThreadLocal local = new ThreadLocal();

	public static SessionMap get() {
		return (SessionMap) local.get();
	}

	public static void set(SessionMap sessionMap) {
		local.set(sessionMap);
	}

	public static Session getSession(String id) {
		SessionMap sessionMap = get();
		if (sessionMap == null) {
			sessionMap = new SessionMap();
			set(sessionMap);
		}
		return sessionMap.get(id);
	}

	public static void addSession(String id, Session session) {
		SessionMap sessionMap = get();
		if (sessionMap == null) {
			sessionMap = new SessionMap();
			set(sessionMap);
		}
		sessionMap.set(id, session);
		set(sessionMap);
	}

	public static void removeSession(String id) {
		SessionMap sessionMap = get();
		if (sessionMap == null) {
			sessionMap = new SessionMap();
			set(sessionMap);
		}
		sessionMap.remove(id);
		set(sessionMap);
	}
}
