/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.platform.db.table.sql.generator;

import org.jdesigner.platform.db.table.model.TableLayout;
import org.jdesigner.platform.db.table.sql.SQLGenerator;
import org.jdesigner.platform.db.table.sql.SQLGeneratorException;
import org.jdesigner.platform.db.table.sql.SQLGeneratorHelper;

/**
 * FindByPrimaryKeySQL
 * 
 * @author leesangboo
 * 
 */
public class CountByCustomKeySQLGenerator extends SQLGeneratorHelper implements SQLGenerator {

	/*
	 * (non-Javadoc)
	 * 
	 * @seeorg.jdesigner.platform.db.table.sql.GeneratedSQL#generateSQL(org. architecture.common.db.table.model.TableLayout, java.lang.String[])
	 */
	public String generateSQL(TableLayout tableLayout, String[] processTargetColumns) throws Exception {

		StringBuffer buffer = new StringBuffer();
		buffer.append("\n SELECT \n" + " COUNT(*) AS COUNT_CUSTOM_KEY " + " ");
		buffer.append("\n");
		buffer.append(" FROM  " + tableLayout.getSchema() + "." + tableLayout.getTableName() + " ");
		buffer.append("\n");
		if (tableLayout.getPrimaryKeys() == null || tableLayout.getPrimaryKeys().size() < 1) {
			throw new SQLGeneratorException("Table primary key must exist necessarily.");
		}
		buffer.append(" WHERE " + makeWhereByPrimaryKeys(tableLayout.getPrimaryKeys()));
		return buffer.toString();
	}

}
