/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.platform.db.test;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.jdesigner.platform.db.Persistence;
import org.jdesigner.platform.db.PersistenceManager;
import org.jdesigner.platform.db.domain.CLOBStringType;
import org.jdesigner.platform.db.query.NamedQuery;

/*
 <?xml version="1.0" encoding="UTF-8"?>
 <statement>
 <sql>
 <![CDATA[
 SELECT * FROM DUAL
 ]]>
 </sql>
 </statement>
 */
public class APITestDAO {

	static List parameterList = new ArrayList();
	static Map parameterMap = new HashMap();

	static {
		parameterList.add("your param");
		parameterList.add("your param");
		parameterList.add("your param");
		parameterList.add(new Integer(1));
		parameterList.add(new java.util.Date());
		parameterList.add(new CLOBStringType("가나다라마바사"));
	}

	public void testPersistenceQuery1() {
		Persistence persistence = PersistenceManager.getPersistence();
		NamedQuery query = persistence.newNamedQuery("/account.test.xml", parameterMap);
		query.execute().update();
	}

	public void testPersistenceQuery2() {
		Persistence persistence = PersistenceManager.getPersistence();
		persistence.newNamedQuery("/account.test.xml", parameterMap).execute().update();
		persistence.newNamedQuery("/account.test.xml", parameterMap).execute().selectList();
	}

	public void testPersistenceLocalTX() {
		Persistence ps = PersistenceManager.getPersistence();
		try {
			// ps.start();
			ps.newNamedQuery("/test/insert.xml", parameterMap).execute().update();
			ps.newNamedQuery("/test/insert.xml", parameterMap).execute().update();
			// ps.end();
		} catch (Exception ex) {
			// ps.cancel();
		}
	}

	public void testPersistenceJTATX() {
		Persistence persistence = PersistenceManager.getPersistence();
		try {
			// persistence.start();
			persistence.newNamedQuery("/test/insert.xml", parameterMap).execute().update();
			persistence.newNamedQuery("/test/insert.xml", parameterMap).execute().update();
			persistence.newNamedQuery("/test/insert.xml", parameterMap).execute().update();
			// persistence.end();
		} catch (Exception ex) {
			// persistence.cancel();
		}
	}

}
