/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.platform.db.transaction;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * NoneTransaction
 * 
 * @author leesangboo
 * 
 */
public class NoneTransaction extends BaseTransaction implements Transaction {

	protected static Log log = LogFactory.getLog(NoneTransaction.class);

	public NoneTransaction() {
		//

	};

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.jdesigner.platform.db.Transaction#start()
	 */
	public void start() throws TransactionException {
		active = true;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.jdesigner.platform.db.Transaction#commit()
	 */
	public void commit() {
		active = false;
		commited = true;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.jdesigner.platform.db.Transaction#rollback()
	 */
	public void rollback() {
		active = false;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.jdesigner.platform.db.transaction.Transaction#setTimeout(int)
	 */
	public void setTimeout(int time) {
		throw new TransactionException("Unsupport JDBC trasaction type this method : setTimeout");
	}

	public void changeConnection(String datasourceJNDIName) {
		throw new TransactionException("Unsupport JDBC trasaction type this method : changeConnection");
	}

}
