/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.platform.web;

import javax.servlet.http.HttpServletRequest;

/**
 * <B>웹 출력 데이터 맵</B>
 * 
 * @author leesangboo
 * 
 */
public class ActionOutput {

	private HttpServletRequest request;

	/**
	 * Output 생성자
	 */
	public ActionOutput(HttpServletRequest request) {
		this.request = request;
	}

	/**
	 * Key에 해당하는 Output 값을 반환한다.
	 * 
	 * @param key
	 * @return
	 */
	public Object get(String key) {
		return request.getAttribute(key);
	}

	/**
	 * Output 값을 설정한다.
	 * 
	 * @param key
	 * @param value
	 * @return
	 */
	public void set(String key, Object value) {
		request.setAttribute(key, value);
	}

	/**
	 * Output 값을 삭제한다.
	 * 
	 * @param key
	 */
	public void remove(String key) {
		request.removeAttribute(key);
	}

}
