/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.platform.web.array;

import org.apache.commons.beanutils.LazyDynaBean;
import org.apache.commons.beanutils.MutableDynaClass;

/**
 * Arrays
 * 
 * @author leesangboo
 * 
 */
public class Arrays extends LazyDynaBean {

	private static final long serialVersionUID = 1L;

	private String[] keys;

	/**
	 * 
	 * @param keys
	 * @param length
	 */
	public Arrays(String[] keys) {
		super();
		init(keys);
	}

	/**
	 * 
	 * @param keys
	 * @param length
	 */
	public void init(String[] keys) {
		this.keys = keys;
		for (int i = 0; keys != null && i < keys.length; i++) {
			MutableDynaClass thisClass = (MutableDynaClass) this.getDynaClass();
			thisClass.add(keys[i], String[].class);
			// super.set(keys[i], new String[length]);
		}
	}

	/**
	 * 
	 * @param key
	 * @return
	 */
	public String[] getStringArray(String key) {
		return (String[]) super.get(key);
	}

	/**
	 * 
	 * @param key
	 * @param index
	 * @return
	 */
	public String getString(String key, int index) {
		return (String) super.get(key, index);
	}

	/**
	 * 
	 * @return
	 */
	public int getLength() {
		if (keys == null) {
			return 0;
		}
		return getStringArray(keys[0]).length;
	}

	/**
	 * @return the keys
	 */
	public String[] getKeys() {
		return keys;
	}

	/**
	 * @param keys
	 *            the keys to set
	 */
	public void setKeys(String[] keys) {
		this.keys = keys;
	}

}
