/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.jdesigner.platform.web.httpmap;

import java.util.Enumeration;

import javax.servlet.http.HttpServletRequest;

/**
 * Map to wrap form parameters. <p/> <p/> <p/> Date: Mar 11, 2004 10:35:52 PM
 * 
 * @author Clinton Begin
 */
public class ParameterMap extends BaseHttpMap {
	private HttpServletRequest request;

	public ParameterMap(HttpServletRequest request) {
		this.request = request;
	}

	protected Enumeration getNames() {
		return request.getParameterNames();
	}

	protected Object getValue(Object key) {
		return request.getParameter(String.valueOf(key));
	}

	protected Object[] getValues(Object key) {
		return request.getParameterValues(String.valueOf(key));
	}

	protected void putValue(Object key, Object value) {
		throw new UnsupportedOperationException("Cannot put value to ParameterMap.");
	}

	protected void removeValue(Object key) {
		throw new UnsupportedOperationException("Cannot remove value from ParameterMap.");
	}
}
