/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.jdesigner.platform.web.listener;

import javax.servlet.http.HttpSessionAttributeListener;
import javax.servlet.http.HttpSessionBindingEvent;
import javax.servlet.http.HttpSessionBindingListener;
import javax.servlet.http.HttpSessionEvent;
import javax.servlet.http.HttpSessionListener;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * <B>SessionLifeCycleEventListener</B>
 * 
 * @author leesangboo
 * 
 */
public class SessionLifeCycleEventListener implements HttpSessionListener, HttpSessionAttributeListener, HttpSessionBindingListener {

	private static final Log log = LogFactory.getLog(SessionLifeCycleEventListener.class);

	private static int activeUserCount = 0;

	public void sessionCreated(HttpSessionEvent e) {
		activeUserCount++;
		log.info("HTTP Session Created : JSESSIONID=[" + e.getSession().getId() + "]");
		log.info("Now Active user session: [" + activeUserCount + "]");

	}

	public void sessionDestroyed(HttpSessionEvent e) {
		activeUserCount--;
		log.info("HTTP Session Destroyed : JSESSIONID=[" + e.getSession().getId() + "]");
		log.info("Now Active user session: [" + activeUserCount + "]");
	}

	public static int getActiveUserCount() {
		return activeUserCount;
	}

	public void attributeAdded(HttpSessionBindingEvent arg0) {
		// TODO Auto-generated method stub

	}

	public void attributeRemoved(HttpSessionBindingEvent arg0) {
		// TODO Auto-generated method stub

	}

	public void attributeReplaced(HttpSessionBindingEvent arg0) {
		// TODO Auto-generated method stub

	}

	public void valueBound(HttpSessionBindingEvent arg0) {
		// TODO Auto-generated method stub

	}

	public void valueUnbound(HttpSessionBindingEvent arg0) {
		// TODO Auto-generated method stub

	}
}
