/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.platform.web.tag.ui;

import org.jdesigner.platform.web.tag.ui.template.UITemplateModel;

/**
 * PaneHeaderTag
 * 
 * @author leesangboo
 * 
 */
public class PaneHeaderTag extends BaseUITag {

	private static final long serialVersionUID = 1L;

	private static final String TEMPLATE_PATH = "paneHeader.ftl";

	private String icon;

	private String buttons;

	private boolean toggle;

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.jdesigner.platform.web.tag.ui.BaseUITag#getStartModel()
	 */
	public UITemplateModel getStartModel() throws Exception {
		PaneTag parent = (PaneTag) super.getParent();

		UITemplateModel model = new UITemplateModel(TEMPLATE_PATH);
		model.put("id", parent.getId());
		model.put("closed", parent.isClosed());

		model.put("icon", icon);
		model.put("toggle", toggle);
		model.put("buttons", buttons);
		return model;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.jdesigner.platform.web.tag.ui.BaseUITag#getEndModel()
	 */
	public UITemplateModel getEndModel() throws Exception {
		PaneTag parent = (PaneTag) super.getParent();

		UITemplateModel model = new UITemplateModel(TEMPLATE_PATH);
		model.put("id", parent.getId());
		model.put("closed", parent.isClosed());

		model.put("icon", icon);
		model.put("toggle", toggle);
		model.put("buttons", buttons);
		return model;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see oracle.erp.common.web.taglib.BaseUITag#reset()
	 */
	public void reset() {
		icon = "";
		toggle = true;
		buttons = "";
	}

	public String getButtons() {
		return buttons;
	}

	public void setButtons(String buttons) {
		this.buttons = buttons;
	}

	public String getIcon() {
		return icon;
	}

	public void setIcon(String icon) {
		this.icon = icon;
	}

	public boolean isToggle() {
		return toggle;
	}

	public void setToggle(boolean toggle) {
		this.toggle = toggle;
	}

}
