/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.platform.web.tag.ui;

import java.io.Serializable;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.PageContext;
import javax.servlet.jsp.tagext.Tag;

/**
 * 
 * @author leesangboo
 * 
 */
public class TabsTag extends TagHelper implements Tag, Serializable {

	private static final long serialVersionUID = 1L;

	private PageContext pc = null;

	private Tag parent = null;

	private String id = "";

	public void setPageContext(PageContext p) {
		pc = p;
	}

	public void setParent(Tag t) {
		parent = t;
	}

	public Tag getParent() {
		return parent;
	}

	public int doStartTag() throws JspException {
		try {

			// String contextPath = ((HttpServletRequest)
			// pc.getRequest()).getContextPath();

			StringBuffer htmlBuffer = new StringBuffer();
			htmlBuffer.append("<div id='" + id + "' class='tabCover'>");
			htmlBuffer.append("<table cellpadding='0' cellspacing='0' border='0' width='100%'>");
			htmlBuffer.append("<tr>");
			htmlBuffer.append("<td class='tabCoverLeft'></td>");
			htmlBuffer.append("<td>");
			htmlBuffer.append("<table cellpadding='0' cellspacing='0' border='0' >");
			htmlBuffer.append("<tr>");

			//
			pc.getOut().write(htmlBuffer.toString());

		} catch (Exception e) {
			throw new UITagException("TabsTag Exception : " + e.getMessage());
		}
		return EVAL_BODY_INCLUDE;
	}

	public int doEndTag() throws JspException {
		try {

			StringBuffer htmlBuffer = new StringBuffer();
			htmlBuffer.append("</tr>");
			htmlBuffer.append("</table>");
			htmlBuffer.append("</td>");
			htmlBuffer.append("<td class='tabCoverRight'></td>");
			htmlBuffer.append("</tr>");
			htmlBuffer.append("</table>");
			htmlBuffer.append("</div>");

			//
			pc.getOut().write(htmlBuffer.toString());

		} catch (Exception e) {
			throw new UITagException("TabsTag Exception : " + e.getMessage());
		}
		return EVAL_PAGE;
	}

	public void release() {
		pc = null;
		parent = null;

		id = "";
	}

	public PageContext getPc() {
		return pc;
	}

	public void setPc(PageContext pc) {
		this.pc = pc;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

}
